LocalizationControllerDeleteLocalization Method |
DELETE /Localization/
Deletes the localization.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpDeleteAttribute]
[ActionNameAttribute("Index")]
public IActionResult DeleteLocalization(
string cultureName,
Guid moduleId,
string name,
bool isOverride,
Guid? sessionId = null
)<HttpDeleteAttribute>
<ActionNameAttribute("Index")>
Public Function DeleteLocalization (
cultureName As String,
moduleId As Guid,
name As String,
isOverride As Boolean,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpDeleteAttribute]
[ActionNameAttribute(L"Index")]
IActionResult^ DeleteLocalization(
String^ cultureName,
Guid moduleId,
String^ name,
bool isOverride,
Nullable<Guid> sessionId = nullptr
)
[<HttpDeleteAttribute>]
[<ActionNameAttribute("Index")>]
member DeleteLocalization :
cultureName : string *
moduleId : Guid *
name : string *
isOverride : bool *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- cultureName
- Type: SystemString
The name of the culture to delete the localization for. - moduleId
- Type: SystemGuid
The ID of the module the localization belongs to. - name
- Type: SystemString
The name of localization. - isOverride
- Type: SystemBoolean
A flag indicating whether or not this is an override. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the session.
Return Value
Type:
IActionResult
A
Boolean with the result, or a status code indicating the problem.
See Also